# $Revision: 1.36 $, $Date: 2007/08/26 17:41:31 $
%include	/usr/lib/rpm/macros.perl
%define	_rc	pre1
Summary:	A general-purpose resource monitoring system
Summary(es.UTF-8):	Verificación de recursos
Summary(pl.UTF-8):	System monitorowania zasobów ogólnego przeznaczenia
Summary(pt_BR.UTF-8):	Monitoração de recursos
Summary(ru.UTF-8):	"mon" - инструмент для мониторинга доступности сервисов
Name:		mon
Version:	1.2.0
Release:	1
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.kernel.org/pub/software/admin/mon/%{name}-%{version}.tar.gz
# Source0-md5:	668e7cec8c8be95e81df7a48c2c322cb
Source1:	%{name}-%{name}.cf
Source2:	%{name}-%{name}.cgi
Source3:	%{name}.init
Source4:	%{name}.sysconfig
Source5:	%{name}-jabber.alert
Source6:	%{name}-clamd.monitor
Source7:	%{name}-spamd.monitor
URL:		http://mon.wiki.kernel.org/
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mon is a general-purpose resource monitoring system. It can be used to
monitor network service availability, server problems, environmental
conditions (i.e., the temperature in a room) or other things. Mon can
be used to test the condition and/or to trigger an action upon failure
of the condition. Mon keeps the testing and action-taking tasks as
separate, stand-alone programs.

Mon is very extensible. Monitors and alerts are not a part of mon, but
the distribution comes with a handful of them to get you started. This
means that if a new service needs monitoring, or if a new alert is
required, the mon server will not need to be changed.

%description -l es.UTF-8
Verificación de recursos.

%description -l pl.UTF-8
mon jest systemem monitorowania zasobów ogólnego przeznaczenia. Może
być używany do monitorowania dostępności sieci, problemów z serwerem,
warunków środowiska (np. temperatury) i innych. Może być używany do
sprawdzania warunków i/lub uruchamiania jakiejś akcji po wykryciu
awarii. Akcje te są podejmowane przez uruchamianie oddzielnych
programów.

mon jest rozszerzalny. Monitory i alarmy nie są częścią mona, ale
dystrybucja zawiera pewien ich zestaw na początek. To znaczy, że
jeżeli nowa usługa potrzebuje monitorowania lub potrzebny jest nowy
alarm, serwer mon nie musi być zmieniany.

%description -l pt_BR.UTF-8
Mon é um sistema de propósito geral para monitoração de recursos, o
qual pode ser usado para monitorar a disponibilidade de serviços de
uma rede, problemas em servidores, condições ambientais, etc

A monitoração de recursos pode ser vista como duas tarefas separadas:
o teste de uma condição e a ação a ser tomada em caso de falha. O mon
foi projetado para fazer estas duas duas tarefas separadas usando
programas independentes, e foi implementado como um escalonador que
executa os monitores (que testam uma condição), e chama os alertas
apropriados se o monitor falhar.

Monitores e alertas não fazem parte do mon, apesar de que uma série
deles vem neste pacote, sendo úteis para começar a usá-lo. Isto
significa que se um novo serviço necessita de monitoração, ou se um
novo alerta é requerido, o servidor mon não precisa ser alterado. Isto
faz o mon ser facilmente estendido.

%description -l ru.UTF-8
"mon" - инструмент для мониторинга доступности сервисов. Сервисы могут
быть сетевыми, состоянием окружения, или чем угодно похожим, что можно
протестировать программно. Он чрезвычайно полезен для системных
администраторов, но не ограничивается использованием только ими. Он
разработан как основная система оповещения об авариях, разделяя задачи
тестирования сервисов на доступность и отправку тревожных сообщений,
когда что-то не работает. Для достижения этого "mon" реализован как
диспетчер, который запускает программы, которые выполняют
тестирование, и запускает программы предупреждения, когда скрипты
обнаруживают сбои. Ни один из сервисов не обрабатывается собственно
"mon"'ом. Эти функции обрабатываются соответствующими программами.

%prep
%setup -q

find -name CVS -type d | xargs rm -rf

%build
# change hardcoded paths in scripts, etc.
for i in mon doc/mon.8 mon.d/{file_change,http_t*,traceroute,up_rtt}.monitor clients/skymon/skymon clients/monshow ; do
	sed -i -e 's#/usr/local/#%{_prefix}/#g' $i
done

RPM_OPT_FLAGS="%{rpmcflags} -DUSE_VENDOR_CF_PATH=1"; export RPM_OPT_FLAGS

%{__make} all \
	-C mon.d \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name},/etc/{rc.d/init.d,sysconfig,mon}} \
	$RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man{1,8},%{_libdir}/mon/{alert.d,mon.d}} \
	$RPM_BUILD_ROOT/var/lib/mon/{state.d,log.d}

install mon 		$RPM_BUILD_ROOT%{_bindir}
install clients/moncmd 	$RPM_BUILD_ROOT%{_bindir}
install clients/monshow $RPM_BUILD_ROOT%{_bindir}
install clients/skymon/skymon $RPM_BUILD_ROOT%{_bindir}
install doc/*.1 	$RPM_BUILD_ROOT%{_mandir}/man1
install doc/*.8 	$RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE5}	$RPM_BUILD_ROOT%{_libdir}/mon/alert.d/jabber.alert
install alert.d/* 	$RPM_BUILD_ROOT%{_libdir}/mon/alert.d
install %{SOURCE6}	$RPM_BUILD_ROOT%{_libdir}/mon/mon.d/clamd.monitor
install %{SOURCE7}      $RPM_BUILD_ROOT%{_libdir}/mon/mon.d/spamd.monitor
install mon.d/*.monitor	$RPM_BUILD_ROOT%{_libdir}/mon/mon.d
install etc/auth.cf 	$RPM_BUILD_ROOT%{_sysconfdir}/mon/auth.cf
touch 			$RPM_BUILD_ROOT%{_sysconfdir}/mon/userfile

#install -d $RPM_BUILD_ROOT/var/www/cgi-bin/
#install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/var/www/cgi-bin/

install %{SOURCE1} 	$RPM_BUILD_ROOT%{_sysconfdir}/mon/mon.cf
install %{SOURCE3} 	$RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE4} 	$RPM_BUILD_ROOT/etc/sysconfig/%{name}

tar czf skymon.tar.gz clients/skymon
tar czf etc.tar.gz etc/[a-z]*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service mon restart

%preun
if [ "$1" = "0" ]; then
	%service mon stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc [A-Z]* doc/[A-Z]* skymon.tar.gz etc.tar.gz
%dir %{_sysconfdir}/mon
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mon/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/mon
%attr(754,root,root) /etc/rc.d/init.d/mon
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/mon
%dir %{_libdir}/mon/*.d
%attr(755,root,root) %{_libdir}/mon/*.d/*
%dir /var/lib/mon
%dir /var/lib/mon/state.d
%dir /var/lib/mon/log.d
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mon.spec,v $
Revision 1.36  2007/08/26 17:41:31  arekm
- up to 1.2.0

Revision 1.35  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.33  2006/12/08 14:04:19  arekm
- rel 5; absolute mssql/mysql timeout option

Revision 1.32  2006/08/07 11:29:27  arekm
- spamd monitor

Revision 1.31  2006/07/26 10:01:22  arekm
- add clamd monitor.

Revision 1.30  2006/03/05 14:42:52  glen
- use %service, adapterize, cosmetics

Revision 1.29  2006/01/29 19:00:39  arekm
- add jabber notification script

Revision 1.28  2006/01/29 14:25:45  arekm
- rel .2; fix monitoring ftp servers with multiline replies after quit command (pureftpd for example).

Revision 1.27  2005/09/03 15:52:46  areq
- 1.1.0pre1

Revision 1.26  2005/07/05 08:29:42  dzeus
- adaptarized

Revision 1.25  2005/01/28 22:40:42  areq
- mon-1.0.0pre5

Revision 1.24  2004/11/07 20:35:26  arekm
- 1.0.0pre4

Revision 1.23  2004/06/07 00:30:00  arekm
- add debian.patch

Revision 1.22  2004/06/04 10:25:37  arekm
- rebuild

Revision 1.21  2004/03/15 14:19:07  qboosh
- missing dir

Revision 1.20  2003/11/11 01:33:23  ankry
- caps unification, other cosmetics

Revision 1.19  2003/08/22 15:44:05  ankry
- cosmetics: spaces -> tabs

Revision 1.18  2003/08/18 08:08:21  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.17  2003/07/29 15:45:00  qboosh
- more specific Requires, more changes where needed

Revision 1.16  2003/05/28 12:59:45  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 05:50:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/12/07 14:33:31  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.13  2002/07/03 10:25:50  qboosh
- BR: ed instead of Requires

Revision 1.12  2002/07/03 10:22:29  ankry
- remove /usr/local/* paths
- release 4, STBR

Revision 1.11  2002/06/30 20:22:08  ankry
- let's call it a typo; STBR again

Revision 1.10  2002/06/30 18:41:56  kloczek
- use new %doc.

Revision 1.9  2002/06/29 23:30:48  ankry
- added missing %dirs
- release 3

Revision 1.8  2002/05/25 08:29:23  kloczek
- merge translations from KSI and Conectiva.

Revision 1.7  2002/02/23 03:54:20  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:13:54  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/11/12 14:12:19  qboosh
- adapterized, added missing dirs to %files

Revision 1.3  2001/09/25 15:05:29  qboosh
- Prereq: /sbin/chkconfig
- pl translation
- release 2

Revision 1.2  2001/09/09 19:32:53  areq
- 0.99.2

Revision 1.1  2001/09/01 18:04:28  areq
- init PLD spec
